body.modal-open {
    overflow: hidden;
}
.brolite-modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s ease;
    z-index: 9999;
}
.brolite-modal.is-active {
    opacity: 1;
    visibility: visible;
}
.brolite-modal-content {
  background: #fff;
  padding: clamp(1rem, 5vw, 2rem);
  max-width: fit-content;
  width: 95%;
  border-radius: 10px;
  position: relative;
  transform: translateY(30px);
  transition: 0.3s ease;
  max-height: 70dvh;
  overflow-y: overlay;
  overflow-x: hidden;
}
.brolite-modal.is-active .brolite-modal-content {
    transform: translateY(0);
}
.brolite-modal-close {
  position: absolute;
  top: -5px;
  right: 10px;
  border: none;
  background: none;
  font-size: 3rem;
  cursor: pointer;
  line-height: 40px;
  padding: 0;
}